libzypp: zypp::xml::ParseDefConsumeCallback Class Reference

libzypp 17.38.14

zypp::xml::ParseDefConsumeCallback Class Reference

ParseDef consumer that invokes callbacks. More...

`#include <zypp/parser/xml/ParseDefConsume.h>`

Inheritance diagram for zypp::xml::ParseDefConsumeCallback:

## Public Types
using | Callback = function<void (const Node &)>

## Public Member Functions
| ParseDefConsumeCallback ()
| ~ParseDefConsumeCallback () override
void | start (const Node &node_r) override
void | text (const Node &node_r) override
void | cdata (const Node &node_r) override
void | done (const Node &node_r) override
void | startSubnode (const Node &node_r) override
void | doneSubnode (const Node &node_r) override
Public Member Functions inherited from zypp::xml::ParseDefConsume
virtual | ~ParseDefConsume ()

## Public Attributes
Callback | _start
Callback | _text
Callback | _cdata
Callback | _done
Callback | _startSubnode
Callback | _doneSubnode

## Detailed Description

ParseDef consumer that invokes callbacks.

Definition at line 98 of file ParseDefConsume.h.

## Member Typedef Documentation

## ◆ Callback

using zypp::xml::ParseDefConsumeCallback::Callback = function<void (const Node &)>

Definition at line 101 of file ParseDefConsume.h.

## Constructor & Destructor Documentation

## ◆ ParseDefConsumeCallback()

zypp::xml::ParseDefConsumeCallback::ParseDefConsumeCallback | ( |  | ) |

Definition at line 129 of file ParseDefConsume.cc.

## ◆ ~ParseDefConsumeCallback()

zypp::xml::ParseDefConsumeCallback::~ParseDefConsumeCallback | ( |  | ) |
| override

Definition at line 132 of file ParseDefConsume.cc.

## Member Function Documentation

## ◆ start()

void zypp::xml::ParseDefConsumeCallback::start | ( | const Node & | node_r | ) |
| overridevirtual

Reimplemented from zypp::xml::ParseDefConsume.

Definition at line 135 of file ParseDefConsume.cc.

## ◆ text()

void zypp::xml::ParseDefConsumeCallback::text | ( | const Node & | node_r | ) |
| overridevirtual

Reimplemented from zypp::xml::ParseDefConsume.

Definition at line 141 of file ParseDefConsume.cc.

## ◆ cdata()

void zypp::xml::ParseDefConsumeCallback::cdata | ( | const Node & | node_r | ) |
| overridevirtual

Reimplemented from zypp::xml::ParseDefConsume.

Definition at line 147 of file ParseDefConsume.cc.

## ◆ done()

void zypp::xml::ParseDefConsumeCallback::done | ( | const Node & | node_r | ) |
| overridevirtual

Reimplemented from zypp::xml::ParseDefConsume.

Definition at line 153 of file ParseDefConsume.cc.

## ◆ startSubnode()

void zypp::xml::ParseDefConsumeCallback::startSubnode | ( | const Node & | node_r | ) |
| overridevirtual

Reimplemented from zypp::xml::ParseDefConsume.

Definition at line 159 of file ParseDefConsume.cc.

## ◆ doneSubnode()

void zypp::xml::ParseDefConsumeCallback::doneSubnode | ( | const Node & | node_r | ) |
| overridevirtual

Reimplemented from zypp::xml::ParseDefConsume.

Definition at line 165 of file ParseDefConsume.cc.

## Member Data Documentation

## ◆ _start

Callback zypp::xml::ParseDefConsumeCallback::_start

Definition at line 116 of file ParseDefConsume.h.

## ◆ _text

Callback zypp::xml::ParseDefConsumeCallback::_text

Definition at line 117 of file ParseDefConsume.h.

## ◆ _cdata

Callback zypp::xml::ParseDefConsumeCallback::_cdata

Definition at line 118 of file ParseDefConsume.h.

## ◆ _done

Callback zypp::xml::ParseDefConsumeCallback::_done

Definition at line 119 of file ParseDefConsume.h.

## ◆ _startSubnode

Callback zypp::xml::ParseDefConsumeCallback::_startSubnode

Definition at line 120 of file ParseDefConsume.h.

## ◆ _doneSubnode

Callback zypp::xml::ParseDefConsumeCallback::_doneSubnode

Definition at line 121 of file ParseDefConsume.h.

The documentation for this class was generated from the following files:

- zypp/parser/xml/ParseDefConsume.h
- zypp/parser/xml/ParseDefConsume.cc